# neutron_lib.objects.logapi.event_types module

class neutron_lib.objects.logapi.event_types.SecurityEvent(valid_values, **kwargs)

  Bases: `String`

  coerce(obj, attr, value)

    This is called to coerce (if possible) a value on assignment.

    This method should convert the value given into the designated type, or throw an exception if this is not possible.

    Parameters:

      - obj – The VersionedObject on which an attribute is being set

      - attr – The name of the attribute being set

      - value – The value being set

    Returns:

      A properly-typed value

class neutron_lib.objects.logapi.event_types.SecurityEventField(nullable: bool = False, default: T | type[UnspecifiedDefault] = <class 'oslo_versionedobjects.fields.UnspecifiedDefault'>, read_only: bool = False)

  Bases: `AutoTypedField`

  AUTO_TYPE: FieldType[T] = <neutron_lib.objects.logapi.event_types.SecurityEvent object>

this page last updated: 2026-08-15 12:38:23

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug